---
title: Update recommendation
slug: content-recommendations/api/update-recommendation
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "AniaO5Ipx9x6B6p9k-Ud-",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.usea01.idio.episerver.net/1.0/recommendations/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/recommendations/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Update recommendation",
    "description": "Mark a pending recommendation as read.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string<uuid>",
          "example": "550e8400-e29b-41d4-a716-446655440000",
          "description": "Unique GUID of the recommendation.",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "New pending state",
          "customType": "RecommendationFlag",
          "schema": [
            {
              "name": "pending",
              "kind": "required",
              "type": "boolean",
              "description": "<p>True if the recommendation is still pending, false if it has been processed.</p>"
            }
          ],
          "modelRef": "#/components/schemas/RecommendationFlag",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Recommendation update accepted and queued",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"\"}",
            "description": "Generic message response object returned by the API.",
            "customType": "Message",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "The message content.",
                "example": "User updated successfully."
              }
            ],
            "modelRef": "#/components/schemas/Message",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Recommendation does not exist.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hwGS54_nwLWl9xmaH6Vn0",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.usea01.idio.episerver.net/1.0/recommendations/{id} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"pending\": \"\"\n     }'"
        },
        {
          "id": "ms71wgFOVMKb2vVU_uAMs",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"pending\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/recommendations/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "iw2Gs3JCKLzwuaKTmm5qG",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/recommendations/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"pending\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "_RxnL53yWdGBmvfVd-nmo",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/recommendations/{id}\"\n\npayload = json.dumps({\n   \"pending\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hwGS54_nwLWl9xmaH6Vn0"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Recommendation update accepted and queued\n{\n  \"message\": \"User updated successfully.\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Recommendation does not exist.\n"
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}